#3609 closed defect (fixed)

Update Spike Version in RSB (RISC-V simulator)

Reported by: Joel Sherrill Owned by: Hesham Almatary
Priority: normal Milestone: 5.1
Component: tool/rsb Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The spike version in the RSB does not run the test executables. Per Hesham, we should be using a newer version from git.

This is one of the two alternative simulators to run RISC-V executables. At the moment, neither Spike nor Qemu are usable for the RISC-V as present in the RSB.

Change History (4)

comment:1 Changed on Nov 16, 2018 at 9:43:42 AM by Hesham Almatary

RSB should already build an updated version of Spike as of this commit:https://github.com/RTEMS/rtems-source-builder/commit/693e6b518d1710793096cdb11f806d9e511a8972

Do you have any issues running RTEMS with it?

comment:2 Changed on Dec 19, 2019 at 11:19:28 AM by Sebastian Huber

Is this issue fixed?

comment:3 Changed on Dec 19, 2019 at 2:05:20 PM by Joel Sherrill

The RSB appears to be updated based on this build list result from my build this week.

https://lists.rtems.org/pipermail/build/2019-December/009507.html

But... none of the RISC-V BSPs ran correctly on Spike so there is something wrong still:

https://lists.rtems.org/pipermail/build/2019-December/009509.html

Could be Spike but more easily the rtems-tools configuration for the execution of the simulator. Does it work for you Hesham?

comment:4 Changed on Apr 1, 2020 at 11:21:54 PM by Joel Sherrill

Resolution: fixed
Status: assignedclosed

I updated the RSB to have a functional Spike with a git version. Results have been posted to build@

Note: See TracTickets for help on using tickets.